Subject: Re: [PATCH] net: add ability to clear stats via ethtool - e1000/pcnet32

From: James Cammarata <[email-masked]>
Date: Tue, 03 Jun 2008 07:28:57 -0500

> First of all, when assisting a user, they typically aren't even
> running an snmp daemon (and there might be firewall issues to
> access it if they are).  And I don't think the "ethtool -S" driver
> stats are even accessible via SNMP (although they may contribute
> to more generic interface stats which are), and it is the specific
> driver stats which are often key to help diagnosing the problem.

Ok, just to jump back in and add my $0.02, I plan to send a patch to 
the ethtool project to do what was suggested (snapshot to /var, and 
diff stats against that for future reference).  I would just like to 
point out that this will introduce inconsistencies between _every_ 
other source of interface stats (ifconfig/procfs/etc).  I can deal 
with that, it just means one more thing to keep track of when you're 
troubleshooting.

Also, I'd like to point out that the "stepping on other peoples toes" 
argument is a bogus one, since most major network vendors include this 
ability, and it's not exactly a concern now.